Subject: PPC: set default date on PPC without RTC

From: Wladislav Wiebe <[email-masked]>
Date: Wed, 11 Sep 2013 11:39:54 +0200

Hello guys,

would like to ask if there is a proper possibility on PPC to
set default date (basically the year). The board has no RTC chip,
and I would need instead of 1970 another year.

For some reason does e.g:
--- a/linux/arch/powerpc/kernel/time.c
+++ b/linux/arch/powerpc/kernel/time.c
@@ -1099,7 +1099,7 @@ void __init time_init(void)

 #define FEBRUARY       2
-#define        STARTOFTIME     1970
+#define        STARTOFTIME     2013
 #define SECDAY         86400L
 #define SECYR          (SECDAY * 365)
 #define        leapyear(year)          ((year) % 4 == 0 && \

not work to me. Is there also another place which should be changed?
(I know it can be changed from userspace also, but I would need it before userspace)

Thanks and BR,
Wladislav Wiebe